%define name    fluidsynth-dssi
%define version 1.0.0
%define release 3

%define prefix  /usr

Summary:	Fluidsynth Plug-In for Disposable Soft Synth Interface
Name: fluidsynth-dssi
Version: 1.0.0
Release: 3.rncbc.suse132
Prefix:		%{prefix}
License:	GPL
Group:		Productivity/Multimedia/Sound/Midi
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-cleanup.patch
URL:		http://dssi.sourceforge.net/

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	dssi >= 1.0
BuildRequires:	libfluidsynth-devel >= 1.0.8
BuildRequires:	liblo-devel >= 0.9

%description
FluidSynth-DSSI is the plug-in implementation of fluidsynth on DSSI
(Disposable Soft Synth Interface) with a GTK+ GUI.

%prep

%setup
%patch0 -p1

%build
%configure --disable-nwrite-float-workaround
%__make

%install
%makeinstall

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf  %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING README ChangeLog TODO
%{_libdir}/dssi/fluidsynth-dssi.so
%{_libdir}/dssi/fluidsynth-dssi.la
%{_libdir}/dssi/fluidsynth-dssi/FluidSynth-DSSI_gtk

%changelog
* Fri Aug 15 2008 Rui Nuno Capela <rncbc@users.sourceforge.net>
- Disable nwrite-float-workaround
* Wed Jun 10 2008 Rui Nuno Capela <rncbc@users.sourceforge.net>
- Created initial fluidsynth-dssi.spec
